Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.util.logging
Interface Logger

All Known Implementing Classes:
  CommonsLogger, JdkLogger

    public interface Logger

Main logger interface for logging things

Method Summary
`void` | `debug(java.lang.String msg, java.lang.String... args)`
`void` | `debug(java.lang.String msg, java.lang.Throwable ex, java.lang.String... args)`
`void` | `error(java.lang.String msg, java.lang.String... args)`
`void` | `error(java.lang.String msg, java.lang.Throwable ex, java.lang.String... args)`
`void` | `fatal(java.lang.String msg, java.lang.String... args)`
`void` | `fatal(java.lang.String msg, java.lang.Throwable ex, java.lang.String... args)`
`void` | `info(java.lang.String msg, java.lang.String... args)`
`void` | `info(java.lang.String msg, java.lang.Throwable ex, java.lang.String... args)`
`boolean` | `isDebugEnabled()`
`boolean` | `isErrorEnabled()`
`boolean` | `isFatalEnabled()`
`boolean` | `isInfoEnabled()`
`boolean` | `isTraceEnabled()`
`boolean` | `isWarnEnabled()`
`void` | `trace(java.lang.String msg, java.lang.String... args)`
`void` | `trace(java.lang.String msg, java.lang.Throwable ex, java.lang.String... args)`
`void` | `warn(java.lang.String msg, java.lang.String... args)`
`void` | `warn(java.lang.String msg, java.lang.Throwable ex, java.lang.String... args)`

Method Detail

### trace

    void trace(java.lang.String msg,
               java.lang.String... args)

### trace

    void trace(java.lang.String msg,
               java.lang.Throwable ex,
               java.lang.String... args)

### isTraceEnabled

    boolean isTraceEnabled()

### debug

    void debug(java.lang.String msg,
               java.lang.String... args)

### debug

    void debug(java.lang.String msg,
               java.lang.Throwable ex,
               java.lang.String... args)

### isDebugEnabled

    boolean isDebugEnabled()

### info

    void info(java.lang.String msg,
              java.lang.String... args)

### info

    void info(java.lang.String msg,
              java.lang.Throwable ex,
              java.lang.String... args)

### isInfoEnabled

    boolean isInfoEnabled()

### warn

    void warn(java.lang.String msg,
              java.lang.String... args)

### warn

    void warn(java.lang.String msg,
              java.lang.Throwable ex,
              java.lang.String... args)

### isWarnEnabled

    boolean isWarnEnabled()

### error

    void error(java.lang.String msg,
               java.lang.String... args)

### error

    void error(java.lang.String msg,
               java.lang.Throwable ex,
               java.lang.String... args)

### isErrorEnabled

    boolean isErrorEnabled()

### fatal

    void fatal(java.lang.String msg,
               java.lang.String... args)

### fatal

    void fatal(java.lang.String msg,
               java.lang.Throwable ex,
               java.lang.String... args)

### isFatalEnabled

    boolean isFatalEnabled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.